
package SkeletonAppearance
{
	function GameConnection::applyBodyParts(%client)
	{
		Parent::applyBodyParts(%client);
		if(%client.player.dataBlock $= "PlayerSkeletonArmor" || %client.player.dataBlock $= "PlayerSkeletonArmor2")
		{
            %client.player.HideNode("ALL");
            %client.player.unhideNode(lhand);
            %client.player.unhideNode(rarm);
			%client.player.unhideNode(larm);
            %client.player.unhideNode(rhand);
			%client.player.unhideNode(lshoe);
            %client.player.unhideNode(rshoe);
			%client.player.mountImage(SkeleHeadImage, 2);
			%client.player.mountImage(SkeleBodyImage, 1);
		}
	}
	
	function GameConnection::applyBodyColors(%client)
	{
		Parent::applyBodyColors(%client);
		if(%client.player.dataBlock $= "PlayerSkeletonArmor" || %client.player.dataBlock $= "PlayerSkeletonArmor2")
		{
			%client.player.larmColor = "1 1 1 1";
			%client.player.llegColor = "1 1 1 1";
			%client.player.rarmColor = "1 1 1 1";
			%client.player.rlegColor = "1 1 1 1";
			%client.player.rhandColor = "1 1 1 1";
			%client.player.lhandColor = "1 1 1 1";
			%client.player.setNodeColor(RHand, "1 1 1 1");
			%client.player.setNodeColor(LHand, "1 1 1 1");
			%client.player.setNodeColor(RArmSlim, "1 1 1 1");
			%client.player.setNodeColor(LArmSlim, "1 1 1 1");
			%client.player.setNodeColor(RShoe, "1 1 1 1");
			%client.player.setNodeColor(LShoe, "1 1 1 1");
		}
	}
};
deactivatePackage(SkeletonAppearance);
	activatePackage(SkeletonAppearance);

exec("./Player_Skeleton.cs");
exec("./lolwut.cs");